petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASCycleGetInjection

Gets the injection on this level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetInjection(SNES snes, Mat *mat)

Logically Collective on SNES

### Input Parameters

snes -the multigrid context

### Output Parameters

mat -the restriction operator on this level

### Keywords

SNES, FAS, get, smoother, multigrid

### See Also

SNESFASGetInjection(), SNESFASCycleGetRestriction()

### Level

developer

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages